Loading...
Searching...
No Matches
mpifuture.hh File Reference
`#include <functional>`
`#include <memory>`
`#include <optional>`
`#include <type_traits>`
`#include <utility>`
`#include <mpi.h>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/parallel/communication.hh>`
`#include <dune/common/parallel/future.hh>`
`#include <dune/common/parallel/mpidata.hh>`

Go to the source code of this file.

## Classes

class | Dune::MPIFuture< R, S >
| Provides a future-like object for MPI communication. It contains the object that will be received and might contain also a sending object, which must be hold (keep alive) until the communication has been completed. More...

## Namespaces

namespace | Dune
| Dune namespace